Subject: bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Jan 2021 06:52:06 +0100

Sean Whitton <[email-masked]> writes:

> Inspired by Stefan's comment at [1] I came up with this patch to set
> revert-buffer-function in shell command buffers.

Nice; I've applied your patch to Emacs 28.

> I have a binding for revert-buffer which is nicer to press than M-! M-p
> RET or M-& M-p RET when repeatedly editing and re-running programs and
> scripts.

Would it make sense to just define a tiny mode that just defines the `g'
command to revert and use that in these buffers?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no